<!DOCTYPE html>
<html lang="en">
  <head>
    <title>Exercise Bonus</title>
    <!-- Required meta tags -->
    <meta charset="utf-8" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1, shrink-to-fit=no"
    />

    <!-- Bootstrap CSS -->
    <link
      rel="stylesheet"
      href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
      integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T"
      crossorigin="anonymous"
    />
  </head>
  <body>
    <div class="container jumbotron">
      <h2 class="text-center text-danger">Bài tập JS nâng cao</h2>
      <div class="form-group mt-4">
        <div id="accordion">
          <div class="card">
            <div class="card-header" id="headingOne">
              <h5 class="mb-0">
                <button
                  class="btn btn-link"
                  data-toggle="collapse"
                  data-target="#collapseOne"
                  aria-expanded="true"
                  aria-controls="collapseOne"
                >
                  #1: In bảng số từ 1 đến 100
                </button>
              </h5>
            </div>

            <div
              id="collapseOne"
              class="collapse"
              aria-labelledby="headingOne"
              data-parent="#accordion"
            >
              <div class="card-body">
                <button
                  onclick="btnInBangSo()"
                  type="button"
                  class="btn btn-primary"
                >
                  In bảng số
                </button>
                <div id="ket-qua-1" class="text-primary mt-3"></div>
              </div>
            </div>
          </div>
          <div class="card">
            <div class="card-header" id="headingTwo">
              <h5 class="mb-0">
                <button
                  class="btn btn-link collapsed"
                  data-toggle="collapse"
                  data-target="#collapseTwo"
                  aria-expanded="false"
                  aria-controls="collapseTwo"
                >
                  #2: In ra số nguyên tố trong mảng
                </button>
              </h5>
            </div>
            <div
              id="collapseTwo"
              class="collapse"
              aria-labelledby="headingTwo"
              data-parent="#accordion"
            >
              <div class="card-body">
                <div class="form-group">
                  <label for="">Dãy số</label>
                  <input
                    type="text"
                    class="form-control"
                    name=""
                    id="txt-day-so"
                    aria-describedby="helpId"
                    placeholder="Nhập vào dãy số"
                  />
                </div>
                <button
                  onclick="btnNhapSo()"
                  type="button"
                  class="btn btn-primary"
                >
                  Nhập số
                </button>
                <button
                  onclick="btnInSoNguyenTo()"
                  type="button"
                  class="btn btn-primary"
                >
                  In ra số nguyên tố
                </button>

                <div id="ket-qua-2" class="text-primary mt-2"></div>
              </div>
            </div>
          </div>
          <div class="card">
            <div class="card-header" id="headingThree">
              <h5 class="mb-0">
                <button
                  class="btn btn-link collapsed"
                  data-toggle="collapse"
                  data-target="#collapseThree"
                  aria-expanded="false"
                  aria-controls="collapseThree"
                >
                  #3: Tính S=(2+3+4...+n)+2n
                </button>
              </h5>
            </div>
            <div
              id="collapseThree"
              class="collapse"
              aria-labelledby="headingThree"
              data-parent="#accordion"
            >
              <div class="card-body">
                <div class="form-group">
                  <label for="">Nhập số n</label>
                  <input
                    type="text"
                    class="form-control"
                    name=""
                    id="txt-so-n"
                    aria-describedby="helpId"
                    placeholder="Nhập số n"
                  />
                </div>
                <button
                  onclick="btnTinhTong()"
                  type="button"
                  class="btn btn-primary"
                >
                  Tính tổng
                </button>
                <div id="ket-qua-3" class="text-primary mt-2"></div>
              </div>
            </div>
          </div>
          <div class="card">
            <div class="card-header" id="heading4">
              <h5 class="mb-0">
                <button
                  class="btn btn-link collapsed"
                  data-toggle="collapse"
                  data-target="#collapse4"
                  aria-expanded="false"
                  aria-controls="collapse4"
                >
                  #4: Tính số lượng ước số của m
                </button>
              </h5>
            </div>
            <div
              id="collapse4"
              class="collapse"
              aria-labelledby="heading4"
              data-parent="#accordion"
            >
              <div class="card-body">
                <div class="form-group">
                  <label for="">Nhập số m</label>
                  <input
                    type="text"
                    class="form-control"
                    name=""
                    id="txt-so-m"
                    aria-describedby="helpId"
                    placeholder="Nhập số m"
                  />
                </div>
                <button
                  onclick="btnSoLuongUocSo()"
                  type="button"
                  class="btn btn-primary"
                >
                  Tính số lượng ước số
                </button>
                <div id="ket-qua-4" class="text-primary mt-2"></div>
              </div>
            </div>
          </div>
          <div class="card">
            <div class="card-header" id="heading5">
              <h5 class="mb-0">
                <button
                  class="btn btn-link collapsed"
                  data-toggle="collapse"
                  data-target="#collapse5"
                  aria-expanded="false"
                  aria-controls="collapse5"
                >
                  #5: Tìm số đảo ngược của 1 số nguyên dương x
                </button>
              </h5>
            </div>
            <div
              id="collapse5"
              class="collapse"
              aria-labelledby="heading5"
              data-parent="#accordion"
            >
              <div class="card-body">
                <div class="form-group">
                  <label for="">Nhập số nguyên dương</label>
                  <input
                    type="text"
                    class="form-control"
                    name=""
                    id="txt-so-x"
                    aria-describedby="helpId"
                    placeholder="Nhập số x"
                  />
                </div>
                <button
                  onclick="btnSoDaoNguoc()"
                  type="button"
                  class="btn btn-primary"
                >
                  Tìm số đảo ngược
                </button>
                <div id="ket-qua-5" class="text-primary mt-2"></div>
              </div>
            </div>
          </div>
          <div class="card">
            <div class="card-header" id="heading6">
              <h5 class="mb-0">
                <button
                  class="btn btn-link collapsed"
                  data-toggle="collapse"
                  data-target="#collapse6"
                  aria-expanded="false"
                  aria-controls="collapse6"
                >
                  #6: Tìm số nguyên dương lớn nhất, biết 1+2+3+...+y ≤100
                </button>
              </h5>
            </div>
            <div
              id="collapse6"
              class="collapse"
              aria-labelledby="heading6"
              data-parent="#accordion"
            >
              <div class="card-body">
                <button
                  onclick="btnSoNguyenDuongLonNhat()"
                  type="button"
                  class="btn btn-primary"
                >
                  Tìm số nguyên dương lớn nhất
                </button>
                <div id="ket-qua-6" class="text-primary mt-2"></div>
              </div>
            </div>
          </div>
          <div class="card">
            <div class="card-header" id="heading7">
              <h5 class="mb-0">
                <button
                  class="btn btn-link collapsed"
                  data-toggle="collapse"
                  data-target="#collapse7"
                  aria-expanded="false"
                  aria-controls="collapse7"
                >
                  #7: Viết function nhận vào số n, in ra bảng cửu chương tương
                  ứng với số đó.
                </button>
              </h5>
            </div>
            <div
              id="collapse7"
              class="collapse"
              aria-labelledby="heading7"
              data-parent="#accordion"
            >
              <div class="card-body">
                <div class="form-group">
                  <label for="">Nhập số vào</label>
                  <input
                    type="text"
                    class="form-control"
                    name=""
                    id="txt-number"
                    aria-describedby="helpId"
                    placeholder="Nhập số"
                  />
                </div>
                <button
                  onclick="btnbangCuuChuong()"
                  type="button"
                  class="btn btn-primary"
                >
                  In bảng cửu chương
                </button>
                <div id="ket-qua-7" class="text-primary mt-2"></div>
              </div>
            </div>
          </div>
          <div class="card">
            <div class="card-header" id="heading8">
              <h5 class="mb-0">
                <button
                  class="btn btn-link collapsed"
                  data-toggle="collapse"
                  data-target="#collapse8"
                  aria-expanded="false"
                  aria-controls="collapse8"
                >
                  #8: Chia bài cho mỗi player 3 lá theo luật, chia lần lượt mỗi
                  người 1 lá
                </button>
              </h5>
            </div>
            <div
              id="collapse8"
              class="collapse"
              aria-labelledby="heading8"
              data-parent="#accordion"
            >
              <div class="card-body">
                <button
                  onclick="btnChiaBai()"
                  type="button"
                  class="btn btn-primary"
                >
                  Chia bài
                </button>
                <div id="ket-qua-8" class="text-primary mt-2"></div>
              </div>
            </div>
          </div>
          <div class="card">
            <div class="card-header" id="heading9">
              <h5 class="mb-0">
                <button
                  class="btn btn-link collapsed"
                  data-toggle="collapse"
                  data-target="#collapse9"
                  aria-expanded="false"
                  aria-controls="collapse9"
                >
                  #9: Tính số gà, chó
                </button>
              </h5>
            </div>
            <div
              id="collapse9"
              class="collapse"
              aria-labelledby="heading9"
              data-parent="#accordion"
            >
              <div class="card-body">
                <div class="form-group">
                  <label for="">Nhập tổng số chó, gà</label>
                  <input
                    type="text"
                    class="form-control"
                    name=""
                    id="txt-ga-cho"
                    aria-describedby="helpId"
                    placeholder="Nhập tổng số chó, gà"
                  />
                </div>
                <div class="form-group">
                  <label for="">Nhập số chân</label>
                  <input
                    type="text"
                    class="form-control"
                    name=""
                    id="txt-so-chan"
                    aria-describedby="helpId"
                    placeholder="Nhập số chân"
                  />
                </div>
                <button
                  onclick="btnTinhSoGaCho()"
                  type="button"
                  class="btn btn-primary"
                >
                  Tính số gà, số chó
                </button>
                <div id="ket-qua-9" class="text-primary mt-2"></div>
              </div>
            </div>
          </div>
          <div class="card">
            <div class="card-header" id="heading10">
              <h5 class="mb-0">
                <button
                  class="btn btn-link collapsed"
                  data-toggle="collapse"
                  data-target="#collapse10"
                  aria-expanded="false"
                  aria-controls="collapse10"
                >
                  #10: Tính góc lệch giữa kim giờ và kim phút
                </button>
              </h5>
            </div>
            <div
              id="collapse10"
              class="collapse"
              aria-labelledby="heading10"
              data-parent="#accordion"
            >
              <div class="card-body">
                <div class="form-group">
                  <label for="">Nhập số giờ</label>
                  <input
                    type="text"
                    class="form-control"
                    name=""
                    id="txt-so-gio"
                    aria-describedby="helpId"
                    placeholder="Nhập số giờ"
                  />
                </div>
                <div class="form-group">
                  <label for="">Nhập số phút</label>
                  <input
                    type="text"
                    class="form-control"
                    name=""
                    id="txt-so-phut"
                    aria-describedby="helpId"
                    placeholder="Nhập số phút"
                  />
                </div>
                <button
                  onclick="btnTinhGocLech()"
                  type="button"
                  class="btn btn-primary"
                >
                  Tính góc
                </button>
                <div id="ket-qua-10" class="text-primary mt-2"></div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>

    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script
      src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
      integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
      crossorigin="anonymous"
    ></script>
    <script
      src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"
      integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1"
      crossorigin="anonymous"
    ></script>
    <script
      src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"
      integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM"
      crossorigin="anonymous"
    ></script>
    <script src="./index.js"></script>
  </body>
</html>
